| QxOrm 1.2.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Private Member Functions | Static Private Attributes
qx::trait::is_ptr_base_of< B, D > Class Template Reference
QxTraits : QxOrm library traits (template metaprogramming) not available in 'boost::type_traits' library

qx::trait::is_ptr_base_of<B, D>::value : return true if B and D are pointer type and (*B) is a base class of (*D) or if B and D are same type, otherwise return false More...

`#include <is_ptr_base_of.h>`

List of all members.

## Public Types
enum | { value = (boost::is_pointer<B>::value && boost::is_pointer<D>::value && (sizeof(qx::trait::is_ptr_base_of<B, D>::removePtr(b, d)) == sizeof(char))) }
typedef boost::mpl::if_c < qx::trait::is_ptr_base_of< B, D >::value, boost::mpl::true_, boost::mpl::false_ >::type | type
## Static Private Member Functions
template<typename V , typename W >
static boost::mpl::if_c < boost::is_base_of< V, W > ::value, char, int >::type | removePtr (const volatile V *const volatile, const volatile W *const volatile)
static int | removePtr (...)
## Static Private Attributes
static B | b
static D | d

## Detailed Description

### template<typename B, typename D>
class qx::trait::is_ptr_base_of< B, D >

qx::trait::is_ptr_base_of<B, D>::value : return true if B and D are pointer type and (*B) is a base class of (*D) or if B and D are same type, otherwise return false

Definition at line 58 of file is_ptr_base_of.h.

## Member Typedef Documentation

template<typename B , typename D >

typedef boost::mpl::if_c<qx::trait::is_ptr_base_of<B, D>::value, boost::mpl::true_, boost::mpl::false_>::type qx::trait::is_ptr_base_of< B, D >::type

Definition at line 74 of file is_ptr_base_of.h.

## Member Enumeration Documentation

template<typename B , typename D >

anonymous enum

Enumerator:

  value |

Definition at line 72 of file is_ptr_base_of.h.

## Member Function Documentation

template<typename B , typename D >
template<typename V , typename W >

static boost::mpl::if_c<boost::is_base_of<V, W>::value, char, int>::type qx::trait::is_ptr_base_of< B, D >::removePtr | ( | const volatile V *const | volatile,
|  | const volatile W *const | volatile
| ) |  | `[static, private]`

template<typename B , typename D >

static int qx::trait::is_ptr_base_of< B, D >::removePtr | ( |  | ... | ) | `[static, private]`

## Member Data Documentation

template<typename B , typename D >

B qx::trait::is_ptr_base_of< B, D >::b`[static, private]`

Definition at line 67 of file is_ptr_base_of.h.

template<typename B , typename D >

D qx::trait::is_ptr_base_of< B, D >::d`[static, private]`

Definition at line 68 of file is_ptr_base_of.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxTraits/is_ptr_base_of.h